about summary refs log tree commit diff
path: root/examples/dispatcher
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2019-12-18 18:30:31 +0100
committerMichael Biebl <biebl@debian.org>2019-12-18 18:30:31 +0100
commit4bde769dba8f804547ce1f5fcda731035d3d45f1 (patch)
tree3a4907fdbf4972fad5a036ef64ce643d704e8733 /examples/dispatcher
parentbbf6329c27676323a899b7328575cc3f6c5f48cc (diff)
parent28028b26b3371756811e95d894f709f4b1207c00 (diff)
Update upstream source from tag 'upstream/1.22.0'
Update to upstream version '1.22.0'
with Debian dir a81ba1028908d08fc4866734c3df4a042bf9a511
Diffstat (limited to 'examples/dispatcher')
-rwxr-xr-xexamples/dispatcher/10-ifcfg-rh-routes.sh32
-rwxr-xr-xexamples/dispatcher/70-wifi-wired-exclusive.sh4
2 files changed, 16 insertions, 20 deletions
diff --git a/examples/dispatcher/10-ifcfg-rh-routes.sh b/examples/dispatcher/10-ifcfg-rh-routes.sh
index d72400ae..0f49ec2a 100755
--- a/examples/dispatcher/10-ifcfg-rh-routes.sh
+++ b/examples/dispatcher/10-ifcfg-rh-routes.sh
@@ -12,6 +12,20 @@
 # This file is derived from scripts 'if{up,down}-routes' from
 # Fedora/RHEL initscripts.
 
+if [ "$2" != "pre-up" ] && [ "$2" != "down" ]; then
+    exit 0
+fi
+
+file_regex='^/etc/sysconfig/network-scripts/ifcfg-([^/]+)$'
+
+[[ "$CONNECTION_FILENAME" =~ $file_regex ]] || exit 0
+
+profile="${BASH_REMATCH[1]}"
+
+if [ ! -f "/etc/sysconfig/network-scripts/rule-$profile" ] && [ ! -f "/etc/sysconfig/network-scripts/rule6-$profile" ]; then
+    exit 0
+fi
+
 MATCH='^[[:space:]]*(\#.*)?$'
 
 handle_file () {
@@ -45,24 +59,6 @@ handle_ip_file() {
 }
 
 
-if [ "$2" != "pre-up" ] && [ "$2" != "down" ]; then
-    exit 0
-fi
-
-dir=$(dirname "$CONNECTION_FILENAME")
-if [ "$dir" != "/etc/sysconfig/network-scripts" ]; then
-    exit 0
-fi
-
-profile=$(basename "$CONNECTION_FILENAME" | sed -ne 's/^ifcfg-//p')
-if [ -z "$profile" ]; then
-    exit 0
-fi
-
-if [ ! -f "$dir/rule-$profile" ] && [ ! -f "$dir/rule6-$profile" ]; then
-    exit 0
-fi
-
 case "$2" in
     pre-up)
         # Routes
diff --git a/examples/dispatcher/70-wifi-wired-exclusive.sh b/examples/dispatcher/70-wifi-wired-exclusive.sh
index fac18b59..b8a2336e 100755
--- a/examples/dispatcher/70-wifi-wired-exclusive.sh
+++ b/examples/dispatcher/70-wifi-wired-exclusive.sh
@@ -4,8 +4,8 @@
 # Wi-Fi will be set to airplane mode (rfkilled).  When the wired
 # interface is disconnected, Wi-Fi will be turned back on.
 #
-# Copyright 2012 Johannes Buchner <buchner.johannes@gmx.at>
-# Copyright 2012 - 2014 Red Hat, Inc.
+# Copyright (C) 2012 Johannes Buchner <buchner.johannes@gmx.at>
+# Copyright (C) 2012 - 2014 Red Hat, Inc.
 #
 
 export LC_ALL=C